Bug 77502 - RH 8.0 New Install Crashes - Anaconda
RH 8.0 New Install Crashes - Anaconda
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-07 19:05 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:50:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump file from installation crash (203.18 KB, text/plain)
2002-11-07 19:08 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-11-07 19:05:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
I am trying to install RH 8.0 onto a brand new server.  The system is:
2.0GHz P4 system running on a SuperMicro P4SDA+ Motherboard
2.0GB DDR PC2100 266 RAM
3X IBM 18GB 10K RPM 80pin SCSI U160 HDD's off of Adaptec 3200s Raid Controller
ATI Xpert2000Pro RagePro 32MB 4X AGP Video Card
Sony SDT-11000 20/40GB DDS4 Tape Drive off of Adaptec 29160 SCSI Controller
Panasonic 1.44MB FDD
Intel 8460C 10/100 NIC
AOpen 952 52X IDE CDROM

I start the installation using a RH8.0 Professional CD Set Burned from the original boxed set.  Installation starts fine, goes through until just after the formatting of the partitions and the transfer of files to the HDD for installation.  It then crashes and prompts for reboot.  The first occurance of this, gave me a crash report which I was able to save to disk.  Subsequent attempts, the system just goes to a reboot message.  

The anacdump.txt file is included below.



IndexError: list index out of range

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run Installation
2.Setup Partitions using Disk Druid
3.Select "Everything" Installation
 

Actual Results:  System formatted partitions and then transferred installation files to HDD.  System then crashes out of GUI mode to text session with errors on screen and System Reboot message displayed.

Expected Results:  Installation should have proceeded to copy files from cd to hdd.

Additional info:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 786, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 533, in doPreInstall
    method.mergeFullHeaders(id.hdList)
  File "/usr/lib/anaconda/image.py", line 42, in mergeFullHeaders
    hdlist.mergeFullHeaders(self.tree + "/RedHat/base/hdlist2")
  File "/usr/lib/anaconda/comps.py", line 180, in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
IndexError: list index out of range

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 0x8703cfc>
fd: 44
file: /mnt/source/RedHat/base/hdlist2
Comment 1 Need Real Name 2002-11-07 19:08:03 EST
Created attachment 84106 [details]
anaconda dump file from installation crash
Comment 2 Need Real Name 2002-11-08 11:43:31 EST
 I have been successful in installing.  I decided to try the installation 
using the original RH CD set from the retail box.  This resulted in a error 
message on installation regarding the partition space I had specified for /usr 
being too small and that I needed to increase it by 234MB or some such amount 
to proceed.  I reran the install and re-specified the partition structure to 
accomodate this and the installation worked fine.   
 
I would conclude from this that there is a problem with the duplicated CD 
regarding it's ability to handle an exception when testing partition size in 
comparison to package size needed for installation.   
 
I would like to know why this error occurred since the CD I was using to 
install was a copy made using our high end cd duplicator and should have been 
an exact duplicate of the original.  I also am curious as to why the CD would 
work to run the installation but would fail on a particular task like it did. 
 
Please let me know what the determination was from the log file that I 
provided. 
 
Comment 3 h3yy4 2002-11-09 02:42:32 EST
I also received the following response when the Red Hat 8.0 install crashed while installing.

File "/usr/bin/anaconda", line 694 in ?
intf.run(id, dispatch, configFileData)
File "/usr/lib/anaconda/text.py", line 446, in run
dispatch.gotoNext()
Comment 4 Michael Fulbright 2002-11-11 10:46:14 EST
Did you run the internal mediacheck in the installer on the duplicated media?

I copy our CDs all the time w/o issue.
Comment 5 Michael Fulbright 2002-12-02 11:11:49 EST
Closing due to inactivity, please reopen if you have additional information to add.
Comment 6 Red Hat Bugzilla 2006-02-21 13:50:06 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.